Get store

Returns the public configuration of the store. Requires the STORE_READ scope.

GET https://api.pandabase.io/v2/core/stores/{storeId}/

Authentication

Requires a bearer token (sk_…) or an API key in the header Authorization.

Path parameters

storeId string required

(length 12–48)

Header parameters

idempotency-key string

(length 8–32)

Response 200

Default Response

ok enum required

(one of true)

data object required

No description.

Response 404

Default Response

ok enum required

(one of false)

error string required

No description.

Request
curl -X GET https://api.pandabase.io/v2/core/stores/:storeId/
Response
{  "ok": true,  "data": {    "id": "shp_kxw5h7n4tr3bcfp2v8q1mzj0",    "title": "Acme Digital",    "handle": "acme-digital",    "description": "Software & digital downloads.",    "country": "US",    "currency": "USD",    "sales": 432,    "balance": 1141500,    "statementDescriptor": "ACME DIGITAL",    "createdAt": "2026-02-01T08:00:00.000Z"  }}